#!/bin/sh
# $ROXCONF/a-gauche.sh
# (c) Christian L'Écuyer (aka / alias musher0), 8 juin 2014, Gatineau (Qc), 
# Canada. Tous droits réservés. / All rights reserved.
####
# Un-comment (remove the "#" signs) the part you need, and comment 
# (put "#" signs at the beginning of the line) the part you don't need. 
# ////////////////////////
# Dé-commenter la partie dont vous avez besoin (enlever les dièzes), et
# commenter (placer des dièzes au début de la ligne) la partie dont vous
# n'avez pas besoin.
####
# Use this part if you have two or more panels. / Pour 2 panneaux ou plus.
# a) Controlling two or more left-side ROX panels with one script 
##
ROXCONF="/root/.config/rox.sourceforge.net/ROX-Filer"
PAN="`awk '{print $1}' $ROXCONF/panels`"
case $PAN in
	gauche)rox -l=gf;;
# Note to anglophones: 
# in this case, gf means "gestionnaire de fichiers", not "girl friend"! :)
#
# If the 1st panel is active, activate the 2nd one. /
# Si le 1er panneau est actif, activer le 2e.
#
# You can add more panels here, / Vous pouvez ajouter d'autres panneaux ici
# using the same syntax. //////////// en utilisant la même syntaxe.
#
	gf)rox -l=;;
# If the last panel is active, close it. /
# Si le dernier panneau est actif, le fermer.

	*)rox -l=gauche;;
# Note to anglophones: in this case, "gauche" means "left", not "awkward".
# 
# If no panel is active, activate the 1st one. /
# Si aucun panneau n'est actif, activer le 1er.

esac
####
# Use the following part if you have only one ROX panel. / Pour 1 panneau.
# b) Controlling only one left-side ROX panel with one script
# if [ "`grep gauche $ROXCONF/panels`" ] && rox -l= || rox -l=left
# # Note aux francophones: "left" signifie "à gauche".
## 30 ##
